<?php 
 include("header.php");
 include("conexionOdo.php");
 
 $le    = $_GET['tr'];
 $lin   = base64_decode($le);
 
 $s_tratamiento = $lin;
 
 //arma tabla diagnosticos y procedimientos elegidos
  $queryTr = " SELECT A.*,  B.descripcion, C.nomCie10, D.desTratamiento" .
                  " FROM SIO_TRATAMIENTO_DET A, SIO_PROC_POS B, SIO_CIE10 C, SIO_LIS_TRAT D ".
                  " WHERE A.numTratamiento = $s_tratamiento AND ".
                  "       A.codCups  = B.cups AND ". 
                  "       A.codCie10 = C.codCie10 AND ".
                  "       A.codEspecialidad = D.codTratamiento order by A.numDiente";       
  $resultTr = mysql_query($queryTr) or die('Consulta de trabajos a desarrollar en el tratamiento fallida: ' . mysql_error());
          
  $k=0;
  while ($line = mysql_fetch_array($resultTr, MYSQL_ASSOC)) {
   $codMed    = $line["codMedPos"];
   $s_cuadrante       = $line['cuadrante'];
   $s_numDiente       = $line['numDiente'];
   $s_caraDiente      = $line['caraDiente'];
   $_codCie10         = $line['codCie10'];
   $s_nomCie10        = $line['nomCie10'];
   $s_descripcion     = $line['descripcion'];
   $s_desTratamiento  = $line['desTratamiento']; 
   $s_observaciones   = $line['observaciones'];               
   $s_estado          = $line['estado'];
   $s_numDet          = $line['numDet'];
   $s_numConsulta     = $line['numConsulta'];
   
   
   //valida estado
   if($s_estado=="I"){
     $clase = "class='activo'";
     $s_est = "Por Iniciar";
   }
   if($s_estado=="P"){
     $clase = "class='activo'";
     $s_est = "En Tratamiento";
   }
   if($s_estado=="T"){
     $clase = "class='inactivo'";
     $s_est = "Terminado";
   }
        
   echo("<table class='camposTabla' align='center' width='960' border='0' cellpading='0'>\n");
    if ($k==0){// para mostrar titulos 
      echo ("<tr>\n");
        echo("<td class='titulosLista' align='center' colspan='7'>LISTA DE DIAGNOSTICOS Y PROCEDIMIENTOS DEL TRATAMIENTO: $s_tratamiento</td>\n");
      echo("</tr>\n");
      echo("<tr class='titulosLista'>\n");
        echo("<td width='150'>Cuadrante/Diente/Cara </td>\n");
        echo("<td width='150'>Diagn&oacute;stico</td>\n");
        echo("<td width='200'>Procedimiento</td>\n");
        echo("<td width='200'>Especialidad</td>\n");
        echo("<td width='100'>Estado</td>\n"); 
        echo("<td width='100'>Realizar</td>\n"); 
      echo("</tr>\n");
    }       
    echo ("<tr class='camposLista'>\n");

      echo("<td width='150'>$s_cuadrante-$s_numDiente-$s_caraDiente</td>\n");
      echo("<td width='150'>$s_nomCie10</td>\n");
      echo("<td width='200'>$s_descripcion</td>\n");
      echo("<td width='200'>$s_desTratamiento</td>\n");
      
      echo("<td width='100' align='left'>\n");
                  echo("<table>\n");
                    echo("<tr>\n");
                      echo("<td width='100' $clase align='left'>$s_est</td>\n");
                    echo("</tr>\n"); 
                  echo("</table>\n");
      echo("</td>\n");        
      
      if($s_estado=="T"){
        $le  = $s_numConsulta;
        $leT = base64_encode($le);
        echo("<td width='100' align='center'><a href=sioHisTratCon.php?lin=$leT><input type='submit' id='Detalles' name='Detalles' value='Ver Historia' style='width:130'><a/></td>\n");
      }
    echo("</tr>\n");   
        
   $k = $k+1;
 }//while
                  
 echo("</table>\n");  
 
 ?>